Attribute VB_Name = "WtScal_h"
Option Explicit

'**********************************************************************************************************
' NAME:  WtScal_h.BAS
' TITLE: Weigh-Tronix Scale Header File
' DESCR: This is the Visual Basic file for vendor defined SO-specific definitions as allowed in the
'        OPOS specification.
' NOTES: 1)This is used to define other extended error conditions that may occur and which might
'          provide some useful debugging information.
'
'**********************************************************************************************************

'----------------------------------------------------------------------------------------------------------
' Vendor-defined "ResultCodeExtended" Property Constants
'----------------------------------------------------------------------------------------------------------

Public Const WT_ESCAL_NULL As Long = 0
Public Const WT_ESCAL_NOTSTABLE As Long = 1
Public Const WT_ESCAL_WEIGHTISZERO As Long = 2
Public Const WT_ESCAL_BELOWZERO As Long = 3
Public Const WT_ESCAL_TXDFAILED As Long = 4
Public Const WT_ESCAL_RXDBADPACKET As Long = 5
Public Const WT_ESCAL_RXDINVALIDCOMMAND As Long = 6
Public Const WT_ESCAL_RXDTIMEOUT As Long = 7
Public Const WT_ESCAL_CALIBRATIONERROR As Long = 8
Public Const WT_ESCAL_INITIALZEROERROR As Long = 9
Public Const WT_ESCAL_READTIMEOUT As Long = 10          'Couldn't read stable non-zero wt in duration specified.
Public Const WT_NOERROR As Long = 11
Public Const WT_ESCAL_INVALID As Long = 12              'out of range  parameter
Public Const WT_ESCAL_NOTSUPPORTED As Long = 98
Public Const WT_ESCAL_OTHERERROR As Long = 99

