﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Reflection;
using System.Windows.Forms;

namespace WTScaleSO_Test
{
    partial class frmAbout : Form
    {
        public String AboutCompanyName { get; set; }
        public String AboutSerialNumber { get; set; }
        public String AboutLicense { get; set; }
        public String AboutPartNumber { get; set; }
        public String AboutVersionNumber { get; set; }
        public String AboutProductName { get; set; }
        public String AboutDescription {get; set;}

        public frmAbout()
        {
            InitializeComponent();
        }

 

        private void frmAbout_Load(object sender, EventArgs e)
        {
            if (AboutDescription != null)
            {
                txtDescription.Visible = true;
                txtDescription.Text = AboutDescription;
            }

            txtCopyright.Text = "© Avery Weigh-Tronix group of companies 2012-2015.  All rights reserved.  No part of this publication may be reproduced, stored in an electronic retrieval system, or transmitted in any form or by any means, electronic, mechanical, photocopying, recording or otherwise without the prior written consent of the copyright owner, or as permitted by law or under licence.  Full acknowledgment of the source must be given. Avery Weigh-Tronix is a registered trade mark of the Avery Weigh-Tronix group of companies.  This publication was correct at the time of going to print however, Avery Weigh-Tronix reserves the right to alter without notice the specification, design, price or conditions of supply of any product or service at any time.";
            lblVersion.Text = String.Format("Version: {0}", AboutVersionNumber);
            lblPartNumber.Text = String.Format("Part No: {0}", AboutPartNumber);
            lblProductName.Text = String.Format("Product {0}", AboutProductName); 

        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void label1_Click(object sender, EventArgs e)
        {
           frmLicense _licenseFrm = new frmLicense();
           _licenseFrm.ShowDialog();
        }
    }
}
