﻿//***************************************************************************
// (C) 2011 Avery Weigh-Tronix, LLC. 
//***************************************************************************
// TITLE: OposScale.cs 
// DESCR: A C# port of the original OPOS C++ header include file OposScal.h 
//        The project was written in C# using Visual Studio 2008, x86 target
//        platform, and .NET 2.0 on a Windows 7 (64-bit) computer.
//
// (C)Copyright 2011 Avery Weigh-Tronix, LLC.
//
// Contacts:
// Sales:	sales@salterbrecknell.com
//       	1-800-637-0529
//
// Service:	service@salterbrecknell.com
//      	1-800-242-2807
//
// Disclaimer:
// This test/demo program is provided as a courtesy to customers of Avery 
// Weigh-Tronix for their personal use.
//
// NO WARRANTIES: The free-of-charge software is provided “as-is” with no 
// warranties expressed or implied.
// NO LIABILITY: To the maximum extent permitted by applicable law, in no 
// event shall Avery Weigh-Tronix, its' suppliers or subsidiaries be liable 
// for any damages whatsoever (including without limitation, damages for 
// loss of business profits, business interruption, loss of business infor-
// mation, or other pecuniary loss) arising out of the installation, use or
// inability to use the software provided, even if Avery Weigh-Tronix has 
// been advised of the possibility of such damages.
// 
// This product was developed for Avery Weigh-Tronix by:
// www.vtxpro.com 
// (C)2011 Vertex Programming -- Santa Rosa, CA
//

#region Original OposScal.h Title Block
/////////////////////////////////////////////////////////////////////
//
// OposScal.h
//
// Scale header file for OPOS Applications.
//
// Modification history
// ------------------------------------------------------------------
// 95-12-08 OPOS Release 1.0                                     CRM
//
/////////////////////////////////////////////////////////////////////
#endregion

namespace WTScaleSO_Test
{
    public static class OposScal
    {
        /////////////////////////////////////////////////////////////////////
        // "WeightUnit" Property Constants
        /////////////////////////////////////////////////////////////////////

        public const long SCAL_WU_GRAM = 1;
        public const long SCAL_WU_KILOGRAM = 2;
        public const long SCAL_WU_OUNCE = 3;
        public const long SCAL_WU_POUND = 4;


        /////////////////////////////////////////////////////////////////////
        // "ResultCodeExtended" Property Constants
        /////////////////////////////////////////////////////////////////////

        public const long OPOS_ESCAL_OVERWEIGHT = 201; // ReadWeight
    }
}
